/**
 * LiveStreet
 *
 * @license   GNU General Public License, version 2
 * @copyright 2013 OOO "ЛС-СОФТ" {@link http://livestreetcms.com}
 * @author    Denis Shakhov <denis.shakhov@gmail.com>
 */

tinymce.PluginManager.add('livestreet', function(editor, url) {
    // Заголовки
    ['h4', 'h5', 'h6'].forEach(function(name) {
        editor.addButton('ls-' + name, {
            text: name.toUpperCase(),
            onclick: function() {
                editor.execCommand('mceToggleFormat', false, name);
            },
            onPostRender: function() {
                var self = this, setup = function() {
                    editor.formatter.formatChanged(name, function(state) {
                        self.active(state);
                    });
                };
                editor.formatter ? setup() : editor.on('init', setup);
            }
        });
    });

    // Ссылка на пользователя
    editor.addButton('ls-user', {
        icon: 'emoticons',
        tooltip: 'User',
        onclick: function() {
            // Open window
            editor.windowManager.open({
                title: 'Add user',
                body: [
                    { type: 'textbox', name: 'login', label: 'Login' }
                ],
                onsubmit: function(e) {
                    editor.insertContent('<ls user="' + e.data.login + '">');
                }
            });
        }
    });

    // Вставка медиа-объектов
    editor.addButton('ls-media', {
        icon: 'image',
        tooltip: 'Insert media',
        onclick: function() {
            $( editor.getElement() ).lsEditor( 'showMedia' );
        }
    });

    editor.on('postProcess', function(e) {
        if (e.set) {
            e.content = _code2html(e.content);
        }

        if (e.get) {
            e.content = _html2code(e.content);
        }
    });

    editor.on('beforeSetContent', function(e) {
        e.content = _code2html(e.content);
    });


    function _code2html(s) {
        s = tinymce.trim(s);

        function rep(re, str) {
            s = s.replace(re, str);
        }

        rep(/<ls.*?user=\"(.*?)\".*?\/>/gi, "<span class='ls-user'>$1</span>");
        rep(/<gallery.*?items=\"(.*?)\".*?nav=\"(.*?)\".*?\/>/gi, "[gallery items=\"$1\" nav=\"$2\"]");

        return s;
    };

    function _html2code(s) {
        s = tinymce.trim(s);

        function rep(re, str) {
            s = s.replace(re, str);
        }

        rep(/<span.*?class=\"ls-user\">(.*?)<\/span>/gi, "<ls user=\"$1\" />");
        rep(/\[gallery.*?items=\"(.*?)\".*?nav=\"(.*?)\".*?\]/gi, "<gallery items=\"$1\" nav=\"$2\" />");

        return s;
    };
});