<?php

return array(
    /**
     * Базовые текстовки
     */
    'common'     => array(
        'add'               => 'Add',
        'remove'            => 'Remove',
        'remove_confirm'    => 'About to remove. Are you sure?',
        'edit'              => 'Edit',
        'save'              => 'Save',
        'create'            => 'Create',
        'cancel'            => 'Cancel',
        'close'             => 'Close',
        'choose'            => 'Select',
        'empty'             => 'Nothing to display',
        'send'              => 'Send',
        'form_reset'        => 'Clear form',
        'preview_text'      => 'Preview',
        'times_declension'  => 'time;times;times',
        'attention'         => 'Attention',
        'site_history_back' => 'Go back',
        'site_go_main'      => 'Go to main',
        'error'             => array(
            'error'              => 'Error',
            'add'                => 'Error occured while trying to add',
            'save'               => 'Error occured while trying to Save',
            'remove'             => 'Error occured while trying to remove',
            'need_authorization' => 'Must be authorized!',
            'not_access'         => 'No access',
            'system'             => array(
                'code' => array(
                    '404' => 'Page not found.',
                    '403' => 'Permission denied.',
                    '500' => 'Internal server error.',
                ),
                'base' => 'System error, please try again later',
            )
        ),
        'success'           => array(
            'add'    => 'Successfully added',
            'save'   => 'Successfully saved',
            'remove' => 'Successfully removed',
        )
    ),
    /**
     * Редактор
     */
    'editor'     => array(
        'markup' => array(
            'help'    => array(
                'link_show'                     => 'Html-tags allowed',
                'special'                       => 'Special tags',
                'special_cut'                   => 'Used for long posts. Hides part of the post until "read further" is selected.',
                'special_cut_name'              => '"Read further" may be changed to anything.',
                'special_cut_name_example_name' => 'Details',
                'special_video'                 => 'Adds video from: YouTube, RuTube, Vimeo and Ya.Video. <br/>Only direct video link is permitted.',
                'special_ls_user'               => 'Shows username link in the middle of text.',
                'special_ls_user_example_user'  => 'Username',
                'standart'                      => 'Standard tags',
                'standart_h'                    => 'Titles.',
                'standart_img'                  => 'Image insert: "src" attribute should have full image path. Alignment is allowed when using "align" attribute.',
                'standart_a'                    => 'Insert URL/Link: "href" attribute should have a URL/Link or anchor to navigate withing the page.',
                'standart_a_example_href'       => 'URL',
                'standart_b'                    => 'Bold.',
                'standart_i'                    => 'Italic.',
                'standart_s'                    => 'Strikethrough.',
                'standart_u'                    => 'Underline.',
                'standart_hr'                   => 'Horizontal line.',
                'standart_blockquote'           => 'Quote.',
                'standart_table'                => 'Table createion. &lt;td&gt; tag is used for table-cell, &lt;th&gt; tag is used for a header cell, &lt;tr&gt; - new table line. Table contents must be wrapped with &lt;table&gt; tags.',
                'standart_ul'                   => 'List element must be withing &lt;li&gt; tags. Set of elements must be inside &lt;ul&gt; tags.',
                'standart_ol'                   => 'Numbered list of elements, must be withing &lt;li&gt; tags. Set of elements must be inside &lt;ol&gt; tags.',
            ),
            'toolbar' => array(
                'b'           => 'Bold',
                'i'           => 'Italic',
                'u'           => 'Underscore',
                's'           => 'Strikethrough',
                'url'         => 'Insert URL',
                'url_promt'   => 'Input URL',
                'image_promt' => 'Input image URL',
                'code'        => 'Code',
                'video'       => 'Video',
                'video_promt' => 'Input video URL',
                'image'       => 'Image',
                'cut'         => 'Cut',
                'quote'       => 'Quote',
                'list'        => 'List',
                'list_ul'     => 'UL LI',
                'list_ol'     => 'OL LI',
                'list_li'     => 'List item',
                'title'       => 'Header',
                'title_h4'    => 'H4',
                'title_h5'    => 'H5',
                'title_h6'    => 'H6',
                'clear_tags'  => 'Strip tags',
                'user'        => 'Add user',
                'user_promt'  => 'Input users username',
            ),
        ),
    ),
    /**
     * Валидация данных
     */
    'validate'   => array(
        'empty_error' => 'Field %%field%% must not be empty',
        'symbols'     => '%%count%% char; %%count%% chars; %%count%% chars',
        'string'      => array(
            'not_valid' => '%%field%% must be a string',
            'too_long'  => '%%field%% is too long. Max allowed: %%max%% chars',
            'too_short' => '%%field%% is too short. Min allowed: %%min%% chars)',
            'no_length' => '%%field%% has a wrong length. Must be %%length%% characters long',
        ),
        'email'       => array(
            'not_valid' => '%%field%% does not contain a valid e-mail address',
        ),
        'number'      => array(
            'must_integer' => '%%field%% must be an integer',
            'must_number'  => '%%field%% must be a number',
            'too_small'    => '%%field%% is to low, must be at least %%min%%)',
            'too_big'      => '%%field%% is to heigh, must be at least %%max%%)',
        ),
        'type'        => array(
            'error' => '%%field%% be of a %%type%% type',
        ),
        'date'        => array(
            'format_invalid' => '%%field%% has a wrong date format',
        ),
        'boolean'     => array(
            'invalid' => '%%field%% must be %%true%% or %%false%%',
        ),
        'required'    => array(
            'must_be'      => '%%field%% must be set to %%value%%',
            'cannot_blank' => '%%field%% is required',
        ),
        'url'         => array(
            'not_valid' => '%%field%% URL address is not valid',
        ),
        'captcha'     => array(
            'not_valid' => '%%field%% contains wrong code',
        ),
        'compare'     => array(
            'must_repeated'      => '%%field%% must match %%compare_field%%',
            'must_not_equal'     => '%%field%% must be different to %%compare_value%%',
            'must_greater'       => '%%field%% must be greater than %%compare_value%%',
            'must_greater_equal' => '%%field%% must be greater or equal to %%compare_value%%',
            'must_less'          => '%%field%% must be less than %%compare_value%%',
            'must_less_equal'    => '%%field%% must be less or equal to %%compare_value%%',
            'invalid_operator'   => '%%field%% contains a wrong compare operator %%operator%%',
        ),
        'regexp'      => array(
            'not_valid'       => 'Wrong field: %%field%%',
            'invalid_pattern' => 'Wrong regexp at %%field%%',
        ),
        'tags'        => array(
            'not_valid' => 'Wrong data: %%field%%',
            'count'     => '%%field%% Amount of tags must be within %%min%% to %%max%%)',
            'empty'     => '%%field%% does not contain tags or tags are wrongне содержит тегов, либо содержит неверные теги (размер тега допустим от %%min%% до %%max%% символов)',
        ),
        'enum'        => array(
            'invalid'     => 'Invalid data type at %%field%% listing',
            'not_allowed' => 'Field: %%field%%, value "%%value%%"is not permitted',
        ),
        'method'      => array(
            'invalid' => 'Incorrect validation method for %%field%%',
            'error'   => 'Incorrect value at %%field%%',
        ),
    ),
    /**
     * Постраничность
     */
    'pagination' => array(
        'next'             => 'mext',
        'previous'         => 'prev',
        'last'             => 'last',
        'first'            => 'first',
        'page_list'        => 'Pages',
        'page_with_number' => 'Page %%number%%',
        'notices'          => array(
            'first' => 'Already on a first page!',
            'last'  => 'Already on a last page!'
        )
    ),
    /**
     * Подгрузка контента
     */
    'more'       => array(
        'text'       => 'Load more',
        'text_count' => 'Load another (%%count%%)',
        'empty'      => 'Nothing left to load'
    ),
    /**
     * Загрузкчик файлов
     */
    'uploader'   => array(
        'actions' => array(
            'remove' => '___common.remove___'
        ),
        'filter'  => array(
            'uploaded' => 'Uploaded',
            'all'      => 'All'
        ),
        'info'    => array(
            'empty' => 'Select file',
            'types' => array(
                'image' => array(
                    'dimensions' => 'Dimensions',
                    'title'      => 'Description'
                )
            )
        ),
        'attach'  => array(
            'title'  => 'Attach files',
            'upload' => 'Upload',
            'count'  => '%%count%% file uploaded;%%count%% files uploaded;%%count%% files uploaded',
            'empty'  => 'No uploaded files'
        )
    ),
    'image'      => array(
        'error' => array(
            'not_open' => 'Can not open image',
        ),
    ),
    /**
     * Дата
     */
    'date'       => array(
        'day'               => 'day',
        'month'             => 'month',
        'months'            => 'month;months;months',
        'year'              => 'year',
        'years'             => 'year;years;years',
        'now'               => 'Just now',
        'today'             => 'Todat',
        'today_at'          => 'Today at',
        'yesterday_at'      => 'Yesterday at',
        'tomorrow_at'       => 'Tomorrow at',
        'minutes_back'      => '%%minutes%% minute ago; %%minutes%% minutes ago; %%minutes%% minutes ago',
        'minutes_back_less' => 'Less than a minute ago',
        'hours_back'        => '%%hours%% hour ago; %%hours%% hours ago; %%hours%% hours ago',
        'hours_back_less'   => 'Less than an hour ago',
        'month_array'       => array(
            1  => array('January', 'January', 'January'),
            2  => array('February', 'February', 'February'),
            3  => array('March', 'March', 'March'),
            4  => array('April', 'April', 'April'),
            5  => array('May', 'May', 'May'),
            6  => array('June', 'June', 'June'),
            7  => array('July', 'July', 'July'),
            8  => array('August', 'August', 'August'),
            9  => array('September', 'September', 'September'),
            10 => array('October', 'October', 'October'),
            11 => array('November', 'November', 'November'),
            12 => array('December', 'December', 'December'),
        ),
        'timezones'         => array(
            'Europe/Amsterdam'               => '[UTC +1] Europe/Amsterdam',
            'Europe/Andorra'                 => '[UTC +1] Europe/Andorra',
            'Europe/Athens'                  => '[UTC +2] Europe/Athens',
            'Europe/Belgrade'                => '[UTC +1] Europe/Belgrade',
            'Europe/Berlin'                  => '[UTC +1] Europe/Berlin',
            'Europe/Bratislava'              => '[UTC +1] Europe/Bratislava',
            'Europe/Brussels'                => '[UTC +1] Europe/Brussels',
            'Europe/Bucharest'               => '[UTC +2] Europe/Bucharest',
            'Europe/Budapest'                => '[UTC +1] Europe/Budapest',
            'Europe/Busingen'                => '[UTC +1] Europe/Busingen',
            'Europe/Chisinau'                => '[UTC +2] Europe/Chisinau',
            'Europe/Copenhagen'              => '[UTC +1] Europe/Copenhagen',
            'Europe/Dublin'                  => '[UTC] Europe/Dublin',
            'Europe/Gibraltar'               => '[UTC +1] Europe/Gibraltar',
            'Europe/Guernsey'                => '[UTC] Europe/Guernsey',
            'Europe/Helsinki'                => '[UTC +2] Europe/Helsinki',
            'Europe/Isle_of_Man'             => '[UTC] Europe/Isle_of_Man',
            'Europe/Istanbul'                => '[UTC +2] Europe/Istanbul',
            'Europe/Jersey'                  => '[UTC] Europe/Jersey',
            'Europe/Kaliningrad'             => '[UTC +2] Europe/Kaliningrad',
            'Europe/Kiev'                    => '[UTC +2] Europe/Kiev',
            'Europe/Lisbon'                  => '[UTC] Europe/Lisbon',
            'Europe/Ljubljana'               => '[UTC +1] Europe/Ljubljana',
            'Europe/London'                  => '[UTC] Europe/London',
            'Europe/Luxembourg'              => '[UTC +1] Europe/Luxembourg',
            'Europe/Madrid'                  => '[UTC +1] Europe/Madrid',
            'Europe/Malta'                   => '[UTC +1] Europe/Malta',
            'Europe/Mariehamn'               => '[UTC +2] Europe/Mariehamn',
            'Europe/Minsk'                   => '[UTC +3] Europe/Minsk',
            'Europe/Monaco'                  => '[UTC +1] Europe/Monaco',
            'Europe/Moscow'                  => '[UTC +3] Europe/Moscow',
            'Europe/Oslo'                    => '[UTC +1] Europe/Oslo',
            'Europe/Paris'                   => '[UTC +1] Europe/Paris',
            'Europe/Podgorica'               => '[UTC +1] Europe/Podgorica',
            'Europe/Prague'                  => '[UTC +1] Europe/Prague',
            'Europe/Riga'                    => '[UTC +2] Europe/Riga',
            'Europe/Rome'                    => '[UTC +1] Europe/Rome',
            'Europe/Samara'                  => '[UTC +4] Europe/Samara',
            'Europe/San_Marino'              => '[UTC +1] Europe/San_Marino',
            'Europe/Sarajevo'                => '[UTC +1] Europe/Sarajevo',
            'Europe/Simferopol'              => '[UTC +3] Europe/Simferopol',
            'Europe/Skopje'                  => '[UTC +1] Europe/Skopje',
            'Europe/Sofia'                   => '[UTC +2] Europe/Sofia',
            'Europe/Stockholm'               => '[UTC +1] Europe/Stockholm',
            'Europe/Tallinn'                 => '[UTC +2] Europe/Tallinn',
            'Europe/Tirane'                  => '[UTC +1] Europe/Tirane',
            'Europe/Uzhgorod'                => '[UTC +2] Europe/Uzhgorod',
            'Europe/Vaduz'                   => '[UTC +1] Europe/Vaduz',
            'Europe/Vatican'                 => '[UTC +1] Europe/Vatican',
            'Europe/Vienna'                  => '[UTC +1] Europe/Vienna',
            'Europe/Vilnius'                 => '[UTC +2] Europe/Vilnius',
            'Europe/Volgograd'               => '[UTC +3] Europe/Volgograd',
            'Europe/Warsaw'                  => '[UTC +1] Europe/Warsaw',
            'Europe/Zagreb'                  => '[UTC +1] Europe/Zagreb',
            'Europe/Zaporozhye'              => '[UTC +2] Europe/Zaporozhye',
            'Europe/Zurich'                  => '[UTC +1] Europe/Zurich',
            'Asia/Aden'                      => '[UTC +3] Asia/Aden',
            'Asia/Almaty'                    => '[UTC +6] Asia/Almaty',
            'Asia/Amman'                     => '[UTC +2] Asia/Amman',
            'Asia/Anadyr'                    => '[UTC +12] Asia/Anadyr',
            'Asia/Aqtau'                     => '[UTC +5] Asia/Aqtau',
            'Asia/Aqtobe'                    => '[UTC +5] Asia/Aqtobe',
            'Asia/Ashgabat'                  => '[UTC +5] Asia/Ashgabat',
            'Asia/Baghdad'                   => '[UTC +3] Asia/Baghdad',
            'Asia/Bahrain'                   => '[UTC +3] Asia/Bahrain',
            'Asia/Baku'                      => '[UTC +4] Asia/Baku',
            'Asia/Bangkok'                   => '[UTC +7] Asia/Bangkok',
            'Asia/Beirut'                    => '[UTC +2] Asia/Beirut',
            'Asia/Bishkek'                   => '[UTC +6] Asia/Bishkek',
            'Asia/Brunei'                    => '[UTC +8] Asia/Brunei',
            'Asia/Choibalsan'                => '[UTC +8] Asia/Choibalsan',
            'Asia/Chongqing'                 => '[UTC +8] Asia/Chongqing',
            'Asia/Colombo'                   => '[UTC +5.5] Asia/Colombo',
            'Asia/Damascus'                  => '[UTC +2] Asia/Damascus',
            'Asia/Dhaka'                     => '[UTC +6] Asia/Dhaka',
            'Asia/Dili'                      => '[UTC +9] Asia/Dili',
            'Asia/Dubai'                     => '[UTC +4] Asia/Dubai',
            'Asia/Dushanbe'                  => '[UTC +5] Asia/Dushanbe',
            'Asia/Gaza'                      => '[UTC +2] Asia/Gaza',
            'Asia/Harbin'                    => '[UTC +8] Asia/Harbin',
            'Asia/Hebron'                    => '[UTC +2] Asia/Hebron',
            'Asia/Ho_Chi_Minh'               => '[UTC +7] Asia/Ho_Chi_Minh',
            'Asia/Hong_Kong'                 => '[UTC +8] Asia/Hong_Kong',
            'Asia/Hovd'                      => '[UTC +7] Asia/Hovd',
            'Asia/Irkutsk'                   => '[UTC +8] Asia/Irkutsk',
            'Asia/Jakarta'                   => '[UTC +7] Asia/Jakarta',
            'Asia/Jayapura'                  => '[UTC +9] Asia/Jayapura',
            'Asia/Jerusalem'                 => '[UTC +2] Asia/Jerusalem',
            'Asia/Kabul'                     => '[UTC +4.5] Asia/Kabul',
            'Asia/Kamchatka'                 => '[UTC +12] Asia/Kamchatka',
            'Asia/Karachi'                   => '[UTC +5] Asia/Karachi',
            'Asia/Kashgar'                   => '[UTC +6] Asia/Kashgar',
            'Asia/Kathmandu'                 => '[UTC +5.75] Asia/Kathmandu',
            'Asia/Khandyga'                  => '[UTC +9] Asia/Khandyga',
            'Asia/Kolkata'                   => '[UTC +5.5] Asia/Kolkata',
            'Asia/Krasnoyarsk'               => '[UTC +7] Asia/Krasnoyarsk',
            'Asia/Kuala_Lumpur'              => '[UTC +8] Asia/Kuala_Lumpur',
            'Asia/Kuching'                   => '[UTC +8] Asia/Kuching',
            'Asia/Kuwait'                    => '[UTC +3] Asia/Kuwait',
            'Asia/Macau'                     => '[UTC +8] Asia/Macau',
            'Asia/Magadan'                   => '[UTC +10] Asia/Magadan',
            'Asia/Makassar'                  => '[UTC +8] Asia/Makassar',
            'Asia/Manila'                    => '[UTC +8] Asia/Manila',
            'Asia/Muscat'                    => '[UTC +4] Asia/Muscat',
            'Asia/Nicosia'                   => '[UTC +2] Asia/Nicosia',
            'Asia/Novokuznetsk'              => '[UTC +7] Asia/Novokuznetsk',
            'Asia/Novosibirsk'               => '[UTC +6] Asia/Novosibirsk',
            'Asia/Omsk'                      => '[UTC +6] Asia/Omsk',
            'Asia/Oral'                      => '[UTC +5] Asia/Oral',
            'Asia/Phnom_Penh'                => '[UTC +7] Asia/Phnom_Penh',
            'Asia/Pontianak'                 => '[UTC +7] Asia/Pontianak',
            'Asia/Pyongyang'                 => '[UTC +9] Asia/Pyongyang',
            'Asia/Qatar'                     => '[UTC +3] Asia/Qatar',
            'Asia/Qyzylorda'                 => '[UTC +6] Asia/Qyzylorda',
            'Asia/Rangoon'                   => '[UTC +6.5] Asia/Rangoon',
            'Asia/Riyadh'                    => '[UTC +3] Asia/Riyadh',
            'Asia/Sakhalin'                  => '[UTC +10] Asia/Sakhalin',
            'Asia/Samarkand'                 => '[UTC +5] Asia/Samarkand',
            'Asia/Seoul'                     => '[UTC +9] Asia/Seoul',
            'Asia/Shanghai'                  => '[UTC +8] Asia/Shanghai',
            'Asia/Singapore'                 => '[UTC +8] Asia/Singapore',
            'Asia/Taipei'                    => '[UTC +8] Asia/Taipei',
            'Asia/Tashkent'                  => '[UTC +5] Asia/Tashkent',
            'Asia/Tbilisi'                   => '[UTC +4] Asia/Tbilisi',
            'Asia/Tehran'                    => '[UTC +3.5] Asia/Tehran',
            'Asia/Thimphu'                   => '[UTC +6] Asia/Thimphu',
            'Asia/Tokyo'                     => '[UTC +9] Asia/Tokyo',
            'Asia/Ulaanbaatar'               => '[UTC +8] Asia/Ulaanbaatar',
            'Asia/Urumqi'                    => '[UTC +6] Asia/Urumqi',
            'Asia/Ust-Nera'                  => '[UTC +10] Asia/Ust-Nera',
            'Asia/Vientiane'                 => '[UTC +7] Asia/Vientiane',
            'Asia/Vladivostok'               => '[UTC +10] Asia/Vladivostok',
            'Asia/Yakutsk'                   => '[UTC +9] Asia/Yakutsk',
            'Asia/Yekaterinburg'             => '[UTC +5] Asia/Yekaterinburg',
            'Asia/Yerevan'                   => '[UTC +4] Asia/Yerevan',
            'America/Adak'                   => '[UTC -10] America/Adak',
            'America/Anchorage'              => '[UTC -9] America/Anchorage',
            'America/Anguilla'               => '[UTC -4] America/Anguilla',
            'America/Antigua'                => '[UTC -4] America/Antigua',
            'America/Araguaina'              => '[UTC -3] America/Araguaina',
            'America/Argentina/Buenos_Aires' => '[UTC -3] America/Argentina/Buenos_Aires',
            'America/Argentina/Catamarca'    => '[UTC -3] America/Argentina/Catamarca',
            'America/Argentina/Cordoba'      => '[UTC -3] America/Argentina/Cordoba',
            'America/Argentina/Jujuy'        => '[UTC -3] America/Argentina/Jujuy',
            'America/Argentina/La_Rioja'     => '[UTC -3] America/Argentina/La_Rioja',
            'America/Argentina/Mendoza'      => '[UTC -3] America/Argentina/Mendoza',
            'America/Argentina/Rio_Gallegos' => '[UTC -3] America/Argentina/Rio_Gallegos',
            'America/Argentina/Salta'        => '[UTC -3] America/Argentina/Salta',
            'America/Argentina/San_Juan'     => '[UTC -3] America/Argentina/San_Juan',
            'America/Argentina/San_Luis'     => '[UTC -3] America/Argentina/San_Luis',
            'America/Argentina/Tucuman'      => '[UTC -3] America/Argentina/Tucuman',
            'America/Argentina/Ushuaia'      => '[UTC -3] America/Argentina/Ushuaia',
            'America/Aruba'                  => '[UTC -4] America/Aruba',
            'America/Asuncion'               => '[UTC -3] America/Asuncion',
            'America/Atikokan'               => '[UTC -5] America/Atikokan',
            'America/Bahia'                  => '[UTC -3] America/Bahia',
            'America/Bahia_Banderas'         => '[UTC -6] America/Bahia_Banderas',
            'America/Barbados'               => '[UTC -4] America/Barbados',
            'America/Belem'                  => '[UTC -3] America/Belem',
            'America/Belize'                 => '[UTC -6] America/Belize',
            'America/Blanc-Sablon'           => '[UTC -4] America/Blanc-Sablon',
            'America/Boa_Vista'              => '[UTC -4] America/Boa_Vista',
            'America/Bogota'                 => '[UTC -5] America/Bogota',
            'America/Boise'                  => '[UTC -7] America/Boise',
            'America/Cambridge_Bay'          => '[UTC -7] America/Cambridge_Bay',
            'America/Campo_Grande'           => '[UTC -3] America/Campo_Grande',
            'America/Cancun'                 => '[UTC -6] America/Cancun',
            'America/Caracas'                => '[UTC -4.5] America/Caracas',
            'America/Cayenne'                => '[UTC -3] America/Cayenne',
            'America/Cayman'                 => '[UTC -5] America/Cayman',
            'America/Chicago'                => '[UTC -6] America/Chicago',
            'America/Chihuahua'              => '[UTC -7] America/Chihuahua',
            'America/Costa_Rica'             => '[UTC -6] America/Costa_Rica',
            'America/Creston'                => '[UTC -7] America/Creston',
            'America/Cuiaba'                 => '[UTC -3] America/Cuiaba',
            'America/Curacao'                => '[UTC -4] America/Curacao',
            'America/Danmarkshavn'           => '[UTC] America/Danmarkshavn',
            'America/Dawson'                 => '[UTC -8] America/Dawson',
            'America/Dawson_Creek'           => '[UTC -7] America/Dawson_Creek',
            'America/Denver'                 => '[UTC -7] America/Denver',
            'America/Detroit'                => '[UTC -5] America/Detroit',
            'America/Dominica'               => '[UTC -4] America/Dominica',
            'America/Edmonton'               => '[UTC -7] America/Edmonton',
            'America/Eirunepe'               => '[UTC -5] America/Eirunepe',
            'America/El_Salvador'            => '[UTC -6] America/El_Salvador',
            'America/Fortaleza'              => '[UTC -3] America/Fortaleza',
            'America/Glace_Bay'              => '[UTC -4] America/Glace_Bay',
            'America/Godthab'                => '[UTC -3] America/Godthab',
            'America/Goose_Bay'              => '[UTC -4] America/Goose_Bay',
            'America/Grand_Turk'             => '[UTC -5] America/Grand_Turk',
            'America/Grenada'                => '[UTC -4] America/Grenada',
            'America/Guadeloupe'             => '[UTC -4] America/Guadeloupe',
            'America/Guatemala'              => '[UTC -6] America/Guatemala',
            'America/Guayaquil'              => '[UTC -5] America/Guayaquil',
            'America/Guyana'                 => '[UTC -4] America/Guyana',
            'America/Halifax'                => '[UTC -4] America/Halifax',
            'America/Havana'                 => '[UTC -5] America/Havana',
            'America/Hermosillo'             => '[UTC -7] America/Hermosillo',
            'America/Indiana/Indianapolis'   => '[UTC -5] America/Indiana/Indianapolis',
            'America/Indiana/Knox'           => '[UTC -6] America/Indiana/Knox',
            'America/Indiana/Marengo'        => '[UTC -5] America/Indiana/Marengo',
            'America/Indiana/Petersburg'     => '[UTC -5] America/Indiana/Petersburg',
            'America/Indiana/Tell_City'      => '[UTC -6] America/Indiana/Tell_City',
            'America/Indiana/Vevay'          => '[UTC -5] America/Indiana/Vevay',
            'America/Indiana/Vincennes'      => '[UTC -5] America/Indiana/Vincennes',
            'America/Indiana/Winamac'        => '[UTC -5] America/Indiana/Winamac',
            'America/Inuvik'                 => '[UTC -7] America/Inuvik',
            'America/Iqaluit'                => '[UTC -5] America/Iqaluit',
            'America/Jamaica'                => '[UTC -5] America/Jamaica',
            'America/Juneau'                 => '[UTC -9] America/Juneau',
            'America/Kentucky/Louisville'    => '[UTC -5] America/Kentucky/Louisville',
            'America/Kentucky/Monticello'    => '[UTC -5] America/Kentucky/Monticello',
            'America/Kralendijk'             => '[UTC -4] America/Kralendijk',
            'America/La_Paz'                 => '[UTC -4] America/La_Paz',
            'America/Lima'                   => '[UTC -5] America/Lima',
            'America/Los_Angeles'            => '[UTC -8] America/Los_Angeles',
            'America/Lower_Princes'          => '[UTC -4] America/Lower_Princes',
            'America/Maceio'                 => '[UTC -3] America/Maceio',
            'America/Managua'                => '[UTC -6] America/Managua',
            'America/Manaus'                 => '[UTC -4] America/Manaus',
            'America/Marigot'                => '[UTC -4] America/Marigot',
            'America/Martinique'             => '[UTC -4] America/Martinique',
            'America/Matamoros'              => '[UTC -6] America/Matamoros',
            'America/Mazatlan'               => '[UTC -7] America/Mazatlan',
            'America/Menominee'              => '[UTC -6] America/Menominee',
            'America/Merida'                 => '[UTC -6] America/Merida',
            'America/Metlakatla'             => '[UTC -8] America/Metlakatla',
            'America/Mexico_City'            => '[UTC -6] America/Mexico_City',
            'America/Miquelon'               => '[UTC -3] America/Miquelon',
            'America/Moncton'                => '[UTC -4] America/Moncton',
            'America/Monterrey'              => '[UTC -6] America/Monterrey',
            'America/Montevideo'             => '[UTC -2] America/Montevideo',
            'America/Montreal'               => '[UTC -5] America/Montreal',
            'America/Montserrat'             => '[UTC -4] America/Montserrat',
            'America/Nassau'                 => '[UTC -5] America/Nassau',
            'America/New_York'               => '[UTC -5] America/New_York',
            'America/Nipigon'                => '[UTC -5] America/Nipigon',
            'America/Nome'                   => '[UTC -9] America/Nome',
            'America/Noronha'                => '[UTC -2] America/Noronha',
            'America/North_Dakota/Beulah'    => '[UTC -6] America/North_Dakota/Beulah',
            'America/North_Dakota/Center'    => '[UTC -6] America/North_Dakota/Center',
            'America/North_Dakota/New_Salem' => '[UTC -6] America/North_Dakota/New_Salem',
            'America/Ojinaga'                => '[UTC -7] America/Ojinaga',
            'America/Panama'                 => '[UTC -5] America/Panama',
            'America/Pangnirtung'            => '[UTC -5] America/Pangnirtung',
            'America/Paramaribo'             => '[UTC -3] America/Paramaribo',
            'America/Phoenix'                => '[UTC -7] America/Phoenix',
            'America/Port-au-Prince'         => '[UTC -5] America/Port-au-Prince',
            'America/Port_of_Spain'          => '[UTC -4] America/Port_of_Spain',
            'America/Porto_Velho'            => '[UTC -4] America/Porto_Velho',
            'America/Puerto_Rico'            => '[UTC -4] America/Puerto_Rico',
            'America/Rainy_River'            => '[UTC -6] America/Rainy_River',
            'America/Rankin_Inlet'           => '[UTC -6] America/Rankin_Inlet',
            'America/Recife'                 => '[UTC -3] America/Recife',
            'America/Regina'                 => '[UTC -6] America/Regina',
            'America/Resolute'               => '[UTC -6] America/Resolute',
            'America/Rio_Branco'             => '[UTC -5] America/Rio_Branco',
            'America/Santa_Isabel'           => '[UTC -8] America/Santa_Isabel',
            'America/Santarem'               => '[UTC -3] America/Santarem',
            'America/Santiago'               => '[UTC -3] America/Santiago',
            'America/Santo_Domingo'          => '[UTC -4] America/Santo_Domingo',
            'America/Sao_Paulo'              => '[UTC -2] America/Sao_Paulo',
            'America/Scoresbysund'           => '[UTC -1] America/Scoresbysund',
            'America/Shiprock'               => '[UTC -7] America/Shiprock',
            'America/Sitka'                  => '[UTC -9] America/Sitka',
            'America/St_Barthelemy'          => '[UTC -4] America/St_Barthelemy',
            'America/St_Johns'               => '[UTC -3.5] America/St_Johns',
            'America/St_Kitts'               => '[UTC -4] America/St_Kitts',
            'America/St_Lucia'               => '[UTC -4] America/St_Lucia',
            'America/St_Thomas'              => '[UTC -4] America/St_Thomas',
            'America/St_Vincent'             => '[UTC -4] America/St_Vincent',
            'America/Swift_Current'          => '[UTC -6] America/Swift_Current',
            'America/Tegucigalpa'            => '[UTC -6] America/Tegucigalpa',
            'America/Thule'                  => '[UTC -4] America/Thule',
            'America/Thunder_Bay'            => '[UTC -5] America/Thunder_Bay',
            'America/Tijuana'                => '[UTC -8] America/Tijuana',
            'America/Toronto'                => '[UTC -5] America/Toronto',
            'America/Tortola'                => '[UTC -4] America/Tortola',
            'America/Vancouver'              => '[UTC -8] America/Vancouver',
            'America/Whitehorse'             => '[UTC -8] America/Whitehorse',
            'America/Winnipeg'               => '[UTC -6] America/Winnipeg',
            'America/Yakutat'                => '[UTC -9] America/Yakutat',
            'America/Yellowknife'            => '[UTC -7] America/Yellowknife',
            'Antarctica/Casey'               => '[UTC +8] Antarctica/Casey',
            'Antarctica/Davis'               => '[UTC +7] Antarctica/Davis',
            'Antarctica/DumontDUrville'      => '[UTC +10] Antarctica/DumontDUrville',
            'Antarctica/Macquarie'           => '[UTC +11] Antarctica/Macquarie',
            'Antarctica/Mawson'              => '[UTC +5] Antarctica/Mawson',
            'Antarctica/McMurdo'             => '[UTC +13] Antarctica/McMurdo',
            'Antarctica/Palmer'              => '[UTC -3] Antarctica/Palmer',
            'Antarctica/Rothera'             => '[UTC -3] Antarctica/Rothera',
            'Antarctica/South_Pole'          => '[UTC +13] Antarctica/South_Pole',
            'Antarctica/Syowa'               => '[UTC +3] Antarctica/Syowa',
            'Antarctica/Vostok'              => '[UTC +6] Antarctica/Vostok',
            'Arctic/Longyearbyen'            => '[UTC +1] Arctic/Longyearbyen',
            'Atlantic/Azores'                => '[UTC -1] Atlantic/Azores',
            'Atlantic/Bermuda'               => '[UTC -4] Atlantic/Bermuda',
            'Atlantic/Canary'                => '[UTC] Atlantic/Canary',
            'Atlantic/Cape_Verde'            => '[UTC -1] Atlantic/Cape_Verde',
            'Atlantic/Faroe'                 => '[UTC] Atlantic/Faroe',
            'Atlantic/Madeira'               => '[UTC] Atlantic/Madeira',
            'Atlantic/Reykjavik'             => '[UTC] Atlantic/Reykjavik',
            'Atlantic/South_Georgia'         => '[UTC -2] Atlantic/South_Georgia',
            'Atlantic/St_Helena'             => '[UTC] Atlantic/St_Helena',
            'Atlantic/Stanley'               => '[UTC -3] Atlantic/Stanley',
            'Australia/Adelaide'             => '[UTC +10.5] Australia/Adelaide',
            'Australia/Brisbane'             => '[UTC +10] Australia/Brisbane',
            'Australia/Broken_Hill'          => '[UTC +10.5] Australia/Broken_Hill',
            'Australia/Currie'               => '[UTC +11] Australia/Currie',
            'Australia/Darwin'               => '[UTC +9.5] Australia/Darwin',
            'Australia/Eucla'                => '[UTC +8.75] Australia/Eucla',
            'Australia/Hobart'               => '[UTC +11] Australia/Hobart',
            'Australia/Lindeman'             => '[UTC +10] Australia/Lindeman',
            'Australia/Lord_Howe'            => '[UTC +11] Australia/Lord_Howe',
            'Australia/Melbourne'            => '[UTC +11] Australia/Melbourne',
            'Australia/Perth'                => '[UTC +8] Australia/Perth',
            'Australia/Sydney'               => '[UTC +11] Australia/Sydney',
            'Indian/Antananarivo'            => '[UTC +3] Indian/Antananarivo',
            'Indian/Chagos'                  => '[UTC +6] Indian/Chagos',
            'Indian/Christmas'               => '[UTC +7] Indian/Christmas',
            'Indian/Cocos'                   => '[UTC +6.5] Indian/Cocos',
            'Indian/Comoro'                  => '[UTC +3] Indian/Comoro',
            'Indian/Kerguelen'               => '[UTC +5] Indian/Kerguelen',
            'Indian/Mahe'                    => '[UTC +4] Indian/Mahe',
            'Indian/Maldives'                => '[UTC +5] Indian/Maldives',
            'Indian/Mauritius'               => '[UTC +4] Indian/Mauritius',
            'Indian/Mayotte'                 => '[UTC +3] Indian/Mayotte',
            'Indian/Reunion'                 => '[UTC +4] Indian/Reunion',
            'Pacific/Apia'                   => '[UTC +14] Pacific/Apia',
            'Pacific/Auckland'               => '[UTC +13] Pacific/Auckland',
            'Pacific/Chatham'                => '[UTC +13.75] Pacific/Chatham',
            'Pacific/Chuuk'                  => '[UTC +10] Pacific/Chuuk',
            'Pacific/Easter'                 => '[UTC -5] Pacific/Easter',
            'Pacific/Efate'                  => '[UTC +11] Pacific/Efate',
            'Pacific/Enderbury'              => '[UTC +13] Pacific/Enderbury',
            'Pacific/Fakaofo'                => '[UTC +13] Pacific/Fakaofo',
            'Pacific/Fiji'                   => '[UTC +13] Pacific/Fiji',
            'Pacific/Funafuti'               => '[UTC +12] Pacific/Funafuti',
            'Pacific/Galapagos'              => '[UTC -6] Pacific/Galapagos',
            'Pacific/Gambier'                => '[UTC -9] Pacific/Gambier',
            'Pacific/Guadalcanal'            => '[UTC +11] Pacific/Guadalcanal',
            'Pacific/Guam'                   => '[UTC +10] Pacific/Guam',
            'Pacific/Honolulu'               => '[UTC -10] Pacific/Honolulu',
            'Pacific/Johnston'               => '[UTC -10] Pacific/Johnston',
            'Pacific/Kiritimati'             => '[UTC +14] Pacific/Kiritimati',
            'Pacific/Kosrae'                 => '[UTC +11] Pacific/Kosrae',
            'Pacific/Kwajalein'              => '[UTC +12] Pacific/Kwajalein',
            'Pacific/Majuro'                 => '[UTC +12] Pacific/Majuro',
            'Pacific/Marquesas'              => '[UTC -9.5] Pacific/Marquesas',
            'Pacific/Midway'                 => '[UTC -11] Pacific/Midway',
            'Pacific/Nauru'                  => '[UTC +12] Pacific/Nauru',
            'Pacific/Niue'                   => '[UTC -11] Pacific/Niue',
            'Pacific/Norfolk'                => '[UTC +11.5] Pacific/Norfolk',
            'Pacific/Noumea'                 => '[UTC +11] Pacific/Noumea',
            'Pacific/Pago_Pago'              => '[UTC -11] Pacific/Pago_Pago',
            'Pacific/Palau'                  => '[UTC +9] Pacific/Palau',
            'Pacific/Pitcairn'               => '[UTC -8] Pacific/Pitcairn',
            'Pacific/Pohnpei'                => '[UTC +11] Pacific/Pohnpei',
            'Pacific/Port_Moresby'           => '[UTC +10] Pacific/Port_Moresby',
            'Pacific/Rarotonga'              => '[UTC -10] Pacific/Rarotonga',
            'Pacific/Saipan'                 => '[UTC +10] Pacific/Saipan',
            'Pacific/Tahiti'                 => '[UTC -10] Pacific/Tahiti',
            'Pacific/Tarawa'                 => '[UTC +12] Pacific/Tarawa',
            'Pacific/Tongatapu'              => '[UTC +13] Pacific/Tongatapu',
            'Pacific/Wake'                   => '[UTC +12] Pacific/Wake',
            'Pacific/Wallis'                 => '[UTC +12] Pacific/Wallis',
            'Africa/Abidjan'                 => '[UTC] Africa/Abidjan',
            'Africa/Accra'                   => '[UTC] Africa/Accra',
            'Africa/Addis_Ababa'             => '[UTC +3] Africa/Addis_Ababa',
            'Africa/Algiers'                 => '[UTC +1] Africa/Algiers',
            'Africa/Asmara'                  => '[UTC +3] Africa/Asmara',
            'Africa/Bamako'                  => '[UTC] Africa/Bamako',
            'Africa/Bangui'                  => '[UTC +1] Africa/Bangui',
            'Africa/Banjul'                  => '[UTC] Africa/Banjul',
            'Africa/Bissau'                  => '[UTC] Africa/Bissau',
            'Africa/Blantyre'                => '[UTC +2] Africa/Blantyre',
            'Africa/Brazzaville'             => '[UTC +1] Africa/Brazzaville',
            'Africa/Bujumbura'               => '[UTC +2] Africa/Bujumbura',
            'Africa/Cairo'                   => '[UTC +2] Africa/Cairo',
            'Africa/Casablanca'              => '[UTC] Africa/Casablanca',
            'Africa/Ceuta'                   => '[UTC +1] Africa/Ceuta',
            'Africa/Conakry'                 => '[UTC] Africa/Conakry',
            'Africa/Dakar'                   => '[UTC] Africa/Dakar',
            'Africa/Dar_es_Salaam'           => '[UTC +3] Africa/Dar_es_Salaam',
            'Africa/Djibouti'                => '[UTC +3] Africa/Djibouti',
            'Africa/Douala'                  => '[UTC +1] Africa/Douala',
            'Africa/El_Aaiun'                => '[UTC] Africa/El_Aaiun',
            'Africa/Freetown'                => '[UTC] Africa/Freetown',
            'Africa/Gaborone'                => '[UTC +2] Africa/Gaborone',
            'Africa/Harare'                  => '[UTC +2] Africa/Harare',
            'Africa/Johannesburg'            => '[UTC +2] Africa/Johannesburg',
            'Africa/Juba'                    => '[UTC +3] Africa/Juba',
            'Africa/Kampala'                 => '[UTC +3] Africa/Kampala',
            'Africa/Khartoum'                => '[UTC +3] Africa/Khartoum',
            'Africa/Kigali'                  => '[UTC +2] Africa/Kigali',
            'Africa/Kinshasa'                => '[UTC +1] Africa/Kinshasa',
            'Africa/Lagos'                   => '[UTC +1] Africa/Lagos',
            'Africa/Libreville'              => '[UTC +1] Africa/Libreville',
            'Africa/Lome'                    => '[UTC] Africa/Lome',
            'Africa/Luanda'                  => '[UTC +1] Africa/Luanda',
            'Africa/Lubumbashi'              => '[UTC +2] Africa/Lubumbashi',
            'Africa/Lusaka'                  => '[UTC +2] Africa/Lusaka',
            'Africa/Malabo'                  => '[UTC +1] Africa/Malabo',
            'Africa/Maputo'                  => '[UTC +2] Africa/Maputo',
            'Africa/Maseru'                  => '[UTC +2] Africa/Maseru',
            'Africa/Mbabane'                 => '[UTC +2] Africa/Mbabane',
            'Africa/Mogadishu'               => '[UTC +3] Africa/Mogadishu',
            'Africa/Monrovia'                => '[UTC] Africa/Monrovia',
            'Africa/Nairobi'                 => '[UTC +3] Africa/Nairobi',
            'Africa/Ndjamena'                => '[UTC +1] Africa/Ndjamena',
            'Africa/Niamey'                  => '[UTC +1] Africa/Niamey',
            'Africa/Nouakchott'              => '[UTC] Africa/Nouakchott',
            'Africa/Ouagadougou'             => '[UTC] Africa/Ouagadougou',
            'Africa/Porto-Novo'              => '[UTC +1] Africa/Porto-Novo',
            'Africa/Sao_Tome'                => '[UTC] Africa/Sao_Tome',
            'Africa/Tripoli'                 => '[UTC +2] Africa/Tripoli',
            'Africa/Tunis'                   => '[UTC +1] Africa/Tunis',
            'Africa/Windhoek'                => '[UTC +2] Africa/Windhoek',
        ),
    ),
);